# Asterisk Project : Asterisk 12 Application_PauseQueueMember

Added by wikibot , edited by wikibot on Aug 29, 2013

# PauseQueueMember()

### Synopsis

Pauses a queue member.

### Description

Pauses (blocks calls for) a queue member. The given interface will be paused in the given queue. This prevents any calls from being sent from the queue to the interface until it is unpaused with UnpauseQueueMember or the manager interface. If no queuename is given, the interface is paused in every queue it is a member of. The application will fail if the interface is not found.

This application sets the following channel variable upon completion:

- `PQMSTATUS` - The status of the attempt to pause a queue member as a text string.
  - PAUSED
  - NOTFOUND
    Example: PauseQueueMember(,SIP/3000)

### Syntax

    PauseQueueMember(queuename,interface,options,reason)

##### Arguments

- `queuename`
- `interface`
- `options`
- `reason` - Is used to add extra information to the appropriate queue_log entries and manager events.

### See Also

- Asterisk 12 Application_Queue
- Asterisk 12 Application_QueueLog
- Asterisk 12 Application_AddQueueMember
- Asterisk 12 Application_RemoveQueueMember
- Asterisk 12 Application_PauseQueueMember
- Asterisk 12 Application_UnpauseQueueMember
- Asterisk 12 Function_QUEUE_VARIABLES
- Asterisk 12 Function_QUEUE_MEMBER
- Asterisk 12 Function_QUEUE_MEMBER_COUNT
- Asterisk 12 Function_QUEUE_EXISTS
- Asterisk 12 Function_QUEUE_WAITING_COUNT
- Asterisk 12 Function_QUEUE_MEMBER_LIST
- Asterisk 12 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version Unknown